Package org.apache.sysds.runtime.instructions.cp

## Enum AppendCPInstruction.AppendType

- java.lang.Object
- - java.lang.Enum<AppendCPInstruction.AppendType>
  - - org.apache.sysds.runtime.instructions.cp.AppendCPInstruction.AppendType

- All Implemented Interfaces:
    `Serializable`, `Comparable<AppendCPInstruction.AppendType>`
  Enclosing class:
    AppendCPInstruction

      public static enum AppendCPInstruction.AppendType
      extends Enum<AppendCPInstruction.AppendType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CBIND` |
    `LIST` |
    `RBIND` |
    `STRING` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AppendCPInstruction.AppendType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AppendCPInstruction.AppendType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CBIND

          public static final AppendCPInstruction.AppendType CBIND

    - #### RBIND

          public static final AppendCPInstruction.AppendType RBIND

    - #### STRING

          public static final AppendCPInstruction.AppendType STRING

    - #### LIST

          public static final AppendCPInstruction.AppendType LIST

  - ### Method Detail

    - #### values

          public static AppendCPInstruction.AppendType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AppendCPInstruction.AppendType c : AppendCPInstruction.AppendType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AppendCPInstruction.AppendType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null